import std.stdio;
import std.string;
import std.file;
import nimpc;

int main(string[] args) {
	if (args.length < 2) {
		writeln("Missing required file args.");
		return 1;
	}
	string[] files = args[1 .. $];
	writefln!"Compiling %s"(files);
	foreach (filename; files) {
		auto tokens = tokenize(readText(filename));
		foreach (token; tokens) {
			writeln(token);
		}
	}
	return 0;
}
